View Issue Details

IDProjectCategoryView StatusLast Update
0001388XdebugFeature/Change requestpublic2019-06-28 13:38
ReporterLanaZemAssigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.8.0devFixed in Version2.8.0alpha1 
Summary0001388: Support 'resolved' flag for breakpoints
Descriptionhttps://github.com/derickr/dbgp/pull/8/files

It would be very useful to support new 'resolve' flag for 'breakpoint_*' responses.

At the moment IDE can't distinguish resolved breakpoints and not resolved. Therefore user might be surprised when execution doesn't halt on a breakpoint without any warning.
Steps To Reproduce1) Create a file with the following code
'
<?php

$a = array( // line #1
    1 => "first", // line 0000002
    2 => "second",
);
'

2) Set breakpoint on line #1 and line 0000002
3) Start debugger session

Expected:
Execution halts on breakpoint #1 or it's marked as invalid.

Actual:
Execution halts on breakpoint 0000002.
Additional InformationCorresponding PhpStorm issues:
https://youtrack.jetbrains.com/issue/WI-4721
https://youtrack.jetbrains.com/issue/WI-2191
https://youtrack.jetbrains.com/issue/WI-2898
https://youtrack.jetbrains.com/issue/WI-6916
TagsNo tags attached.
Operating System
PHP Version7.1.0-7.1.4

Relationships

has duplicate 0001389 resolvedderick Support 'breakpoint_resolved' notification 

Activities

Amegatron

2019-05-01 12:30

reporter   ~0005010

Hello, Derick!
You were interested in feedback concerning number of breakpoints used in project. If this is the right place to post, I can say that I use xdebug very intensively and usually I don't have more than 5 breakpoints at a time when debugging a specific feature of the project. After I finish debugging, I usually clear all the breakpoints so they don't accidently halt the script next time I debug something else in the project. I use Exception breakpoints way more rarely, and usually I enable only 1 or 2 such breakpoints at a time (mostly the wanted exception itself, and sometimes generic Throwable or Exception just in the case).

derick

2019-05-06 12:49

administrator   ~0005020

I've just merged this into the master branch, which will become part of 2.8.0. I will release 2.7.2 soon (this week, today?!), and then probably next week a 2.8alpha1 release so that people can try this out.

Issue History

Date Modified Username Field Change
2017-01-11 17:42 LanaZem New Issue
2017-01-14 11:27 derick Assigned To => derick
2017-01-14 11:27 derick Status new => confirmed
2017-01-14 11:27 derick Target Version => 2.6.0dev
2017-11-18 14:14 derick Target Version 2.6.0dev => 2.7.0dev
2019-01-22 21:25 derick Target Version 2.7.0dev =>
2019-03-19 15:18 derick Target Version => 2.8.0dev
2019-04-05 16:14 derick Status confirmed => assigned
2019-04-14 17:15 derick Relationship added has duplicate 0001389
2019-05-01 12:30 Amegatron Note Added: 0005010
2019-05-06 12:49 derick Status assigned => closed
2019-05-06 12:49 derick Resolution open => fixed
2019-05-06 12:49 derick Fixed in Version => 2.8.0dev
2019-05-06 12:49 derick Note Added: 0005020
2019-06-28 13:38 derick Fixed in Version 2.8.0dev => 2.8.0alpha1